Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher
Class MuleSharedDomainClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.mule.module.launcher.GoodCitizenClassLoader
                      org.mule.module.launcher.MuleSharedDomainClassLoader

Direct Known Subclasses:
  DefaultMuleSharedDomainClassLoader

    public class MuleSharedDomainClassLoader

extends GoodCitizenClassLoader

Load $MULE_HOME/lib/shared/ libraries.

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.module.launcher.GoodCitizenClassLoader
`GoodCitizenClassLoader.NonCachingURLStreamHandlerFactory`

Field Summary
`protected Log` | `logger`

Constructor Summary
`MuleSharedDomainClassLoader(String domain, ClassLoader parent)`

Method Summary
`String` | `getDomain()`
`String` | `toString()`

Methods inherited from class org.mule.module.launcher.GoodCitizenClassLoader
`close`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### MuleSharedDomainClassLoader

    public MuleSharedDomainClassLoader(String domain,
                                       ClassLoader parent)

Method Detail

### getDomain

    public String getDomain()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.